Skip to main content

Assignment Types

Overview

Assignment Types endpoints manage assignment type reference data.

Endpoint Summary

MethodRoutePurpose
GET/v2.3/data/assignment-typesList assignment types
POST/v2.3/data/assignment-typesCreate assignment type
DELETE/v2.3/data/assignment-types/{assignmentTypeId}Delete assignment type

GET /v2.3/data/assignment-types

Return assignment types visible in the current tenant context.

Headers

HeaderRequiredValue
AuthorizationYesBearer {{ACCESS_TOKEN}}
AcceptYesapplication/json

Example Request

curl -X GET "{{BASE_URL}}/v2.3/data/assignment-types" \
-H "Authorization: Bearer {{ACCESS_TOKEN}}" \
-H "Accept: application/json"

Success Response (200)

{
"success": true,
"result": [
{
"id": "0f0776e2-2a4b-4ed9-b9f2-06b7586dcf7f",
"value": "relocation",
"label": "Relocation",
"position": 1
},
{
"id": "6e5f84f4-f3d2-4f7d-8f50-2ea84f13b8f9",
"value": "immigration",
"label": "Immigration",
"position": 2
}
]
}

POST /v2.3/data/assignment-types

Create an assignment type.

Headers

HeaderRequiredValue
AuthorizationYesBearer {{ACCESS_TOKEN}}
Content-TypeYesapplication/json
AcceptYesapplication/json

Request Body Fields

FieldTypeRequiredDescription
labelstringYesAssignment type label.

Example Request

curl -X POST "{{BASE_URL}}/v2.3/data/assignment-types" \
-H "Authorization: Bearer {{ACCESS_TOKEN}}" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
"label": "Tax Support"
}'

Success Response (200)

{
"success": true,
"result": [
{
"id": "0f0776e2-2a4b-4ed9-b9f2-06b7586dcf7f",
"value": "relocation",
"label": "Relocation",
"position": 1
},
{
"id": "6e5f84f4-f3d2-4f7d-8f50-2ea84f13b8f9",
"value": "immigration",
"label": "Immigration",
"position": 2
},
{
"id": "eca045af-5a5e-41e1-84f8-d8ebdca9f63d",
"value": "tax-support",
"label": "Tax Support",
"position": 3
}
]
}

DELETE /v2.3/data/assignment-types/{assignmentTypeId}

Delete an assignment type.

Headers

HeaderRequiredValue
AuthorizationYesBearer {{ACCESS_TOKEN}}
AcceptYesapplication/json

Path Parameters

ParameterTypeRequiredDescription
assignmentTypeIdstringYesAssignment type UUID.

Example Request

curl -X DELETE "{{BASE_URL}}/v2.3/data/assignment-types/{{ASSIGNMENT_TYPE_ID}}" \
-H "Authorization: Bearer {{ACCESS_TOKEN}}" \
-H "Accept: application/json"

Success Response (200)

{
"success": true,
"result": [
{
"id": "6e5f84f4-f3d2-4f7d-8f50-2ea84f13b8f9",
"value": "immigration",
"label": "Immigration",
"position": 1
},
{
"id": "0f0776e2-2a4b-4ed9-b9f2-06b7586dcf7f",
"value": "relocation",
"label": "Relocation",
"position": 2
}
]
}